Annotation Interface AquimaSessionId


@Retention(RUNTIME) @Target(PARAMETER) public @interface AquimaSessionId
An annotation used to identify a controller method parameter which represents an AquimaSession ID. This information is used by interceptors which require an AquimaSession (e.g., during CSRF token verification).
Since:
9.7.3
Author:
Petru Galanton
  • Optional Element Summary

    Optional Elements
    Modifier and Type
    Optional Element
    Description
    Indicates whether the session should be flushed to the external session store after the current request completes.
     
    The name of the request parameter (default: sessionId).
  • Element Details

    • value

      @AliasFor("parameterName") String value
      The name of the request parameter (default: sessionId).
      Returns:
      the parameterName (defaults to sessionId)
      Default:
      "sessionId"
    • parameterName

      @AliasFor("value") String parameterName
      Default:
      "sessionId"
    • flushMode

      FlushMode flushMode
      Indicates whether the session should be flushed to the external session store after the current request completes.
      Returns:
      the desired flush mode.
      See Also:
      Default:
      AUTO